Skip to main content
GET
/
ledger
/
entries
Get all ledger entries
curl --request GET \
  --url https://api.example.com/ledger/entries
{
  "data": [
    {
      "id": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "amount": 123,
      "currency": "<string>",
      "reason": "<string>",
      "preAvailableBalance": 123,
      "postAvailableBalance": 123,
      "prePostedBalance": 123,
      "postPostedBalance": 123,
      "metadata": {}
    }
  ],
  "pageInfo": {
    "hasNext": true,
    "hasPrevious": false,
    "nextCursor": "eyJjcmVhdGVkQXQiOiIyMDI2LTAzLTEzVDEyOjAwOjAwLjAwMFoiLCJpZCI6IjEyM2U0NTY3LWU4OWItMTJkMy1hNDU2LTQyNjYxNDE3NDAwMCJ9",
    "previousCursor": "eyJjcmVhdGVkQXQiOiIyMDI2LTAzLTEzVDEyOjAwOjAwLjAwMFoiLCJpZCI6IjEyM2U0NTY3LWU4OWItMTJkMy1hNDU2LTQyNjYxNDE3NDAwMCJ9"
  }
}

Query Parameters

cursor
string

Opaque cursor for the target page

Example:

"eyJjcmVhdGVkQXQiOiIyMDI2LTAzLTEzVDEyOjAwOjAwLjAwMFoiLCJpZCI6IjEyM2U0NTY3LWU4OWItMTJkMy1hNDU2LTQyNjYxNDE3NDAwMCJ9"

pageSize
number
default:10

Number of items per page

Required range: 1 <= x <= 100
Example:

10

payinId
string

Filter ledger entries by payin ID

Example:

"550e8400-e29b-41d4-a716-446655440000"

payoutId
string

Filter ledger entries by payout ID

Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

List of ledger entries with cursor pagination

data
object[]
required

The data of the ledger entries

pageInfo
object
required

Cursor pagination metadata